osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[devstack] Devstack fails with requirement pyparsing===2.4.1


Hi,

There is patch https://review.opendev.org/#/c/672395/ already to fix this :)

> On 24 Jul 2019, at 10:09, Lajos Katona <katonalala at gmail.com> wrote:
> 
> Hi,
> 
> The same happened with me this morning.
> The interesting thing is (at least for me) that by the github page of pyparsing they have 2.4.1 release, at least they added the tag to the code:
> https://github.com/pyparsing/pyparsing/tags
> 
> I checked some devstack runs in the gate, and it seems that the jobs (at that time at least) could fetch pyparsing===2.4.1:
> http://logs.openstack.org/53/671853/3/check/tempest-slow-py3/76fa978/controller/logs/devstacklog.txt.gz#_2019-07-23_18_18_58_513
> 
> Regards
> Lajos
> 
> Bernd Bausch <berndbausch at gmail.com> ezt írta (idÅ?pont: 2019. júl. 24., Sze, 10:02):
> Trying to install Devstack Stein on freshly installed Ubuntu 18.04. 
> 
> stack.sh fails with this:
> 
> Downloading https://files.pythonhosted.org/packages/6f/7c/ebba93a2d3e09fd0220e1adfdb8230142f4e21d1527e5b06aa353dc27719/oslo.config-6.11.0-py2.py3-none-any.whl (131kB)
> Collecting pyparsing===2.4.1 (from -c https://releases.openstack.org/constraints/upper/master (line 492))
>   Could not find a version that satisfies the requirement pyparsing===2.4.1 (from -c https://releases.openstack.org/constraints/upper/master (line 492)) (from versions: 1.4.6, 1.4.7, 1.4.8, 1.4.11, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5, 1.5.6, 1.5.7, 2.0.0, 2.0.1, 2.0.2, 2.0.3, 2.0.4, 2.0.5, 2.0.6, 2.0.7, 2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.1.5, 2.1.6, 2.1.7, 2.1.8, 2.1.9, 2.1.10, 2.2.0, 2.2.1, 2.2.2, 2.3.0, 2.3.1, 2.4.0)
> No matching distribution found for pyparsing===2.4.1 (from -c https://releases.openstack.org/constraints/upper/master (line 492))
> 
> (red highlight is mine) 
> 
> The most recent version of pyparsing is 2.4.0.
> 
> I would file a bug, but I don't know against which project. Who owns https://releases.openstack.org/constraints/upper/master? Or is there a misunderstanding somewhere?
> 
> My local.conf is below - it's based on a Rocky local.conf (which does work on Rocky) and might be incorrect.
> 
> Bernd.
> 
> [[local|localrc]]
> 
> ###########################################################################
> ### Passwords
> 
> ADMIN_PASSWORD=MYPASSWORD
> DATABASE_PASSWORD=$ADMIN_PASSWORD
> RABBIT_PASSWORD=$ADMIN_PASSWORD
> SERVICE_PASSWORD=$ADMIN_PASSWORD
> 
> ###########################################################################
> ### Logging
> 
> LOG_COLOR=False
> LOGFILE=$DEST/logs/stack.sh.log
> 
> ###########################################################################
> ### Networking
> 
> IP_VERSION=4
> HOST_IP=192.168.1.200
> 
> ###########################################################################
> ### Software sources
> 
> # use https since the vlabs proxy seems to block the git:// scheme
> GIT_BASE=https://git.openstack.org
> # Ensure the latest software is installed
> PIP_UPGRADE=True
> 
> ###########################################################################
> ### Glance
> 
> DOWNLOAD_DEFAULT_IMAGES=False
> IMAGE_URLS="http://download.cirros-cloud.net/0.4.0/cirros-0.4.0-x86_64-disk.img";
> 
> # Glance's image import doesn't work when Glance runs as a UWSGI server
> # For this setting to take effect, devstack/lib/glance must be patched
> GLANCE_USE_UWSGI=False
> 
> ###########################################################################
> ### Swift
> 
> # by default, Devstack interactively asks for a hash value. Avoid this.
> SWIFT_HASH=123
> 
> enable_service swift
> 
> ###########################################################################
> ### Heat
> 
> enable_plugin heat https://git.openstack.org/openstack/heat stable/stein
> enable_service h-eng h-api h-api-cfn h-api-cw
> 
> enable_plugin heat-dashboard https://git.openstack.org/openstack/heat-dashboard stable/stein
> enable_service heat-dashboard
> 
> ###########################################################################
> ### Cinder: Enable backup
> 
> enable_service c-bak
> 
> ###########################################################################
> ### Telemetry: Use Gnocchi as sample repository
> ###            and configure medium archive policy
> 
> CEILOMETER_BACKEND=gnocchi
> GNOCCHI_ARCHIVE_POLICY=medium
> enable_plugin ceilometer https://git.openstack.org/openstack/ceilometer stable/stein
> enable_plugin aodh https://git.openstack.org/openstack/aodh stable/stein
> 
> ###########################################################################
> ### Neutron: Enable internal DNS resolution in ml2_conf.ini
> 
> Q_ML2_PLUGIN_EXT_DRIVERS=port_security,dns_domain_ports
> 
> ###########################################################################
> ### Post config for Neutron (DNS) and Nova (allow KVM in Vmware machine)
> 
> [[post-config|$NEUTRON_CONF]]
> [DEFAULT]
> dns_domain = devstack.org.
> 
> [[post-config|/etc/nova/nova-cpu.conf]]
> [libvirt]
> # set machine type to work around bug
> # https://bugs.launchpad.net/ubuntu/+source/qemu/+bug/1691109
> hw_machine_type = x86_64=pc-i440fx-xenial
> 
> 
> 

â?? 
Slawek Kaplonski
Senior software engineer
Red Hat